Package org.eclipse.e4.ui.workbench.renderers.swt

# Class ToolControlRenderer

java.lang.Object
org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.SWTPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.ToolControlRenderer

public class ToolControlRenderer extends SWTPartRenderer
Create a contribute part.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`STATE_ID`
The state ID for a toggle state understood by the system.

### Fields inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`context, modelService, OWNING_ME`

## Constructor Summary

Constructors
Constructor
Description
`ToolControlRenderer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createWidget(MUIElement element, Object parent)`

### Methods inherited from class org.eclipse.e4.ui.workbench.renderers.swt.SWTPartRenderer

`bindWidget, calcIndex, calcVisibleIndex, childRendered, disposeWidget, forceFocus, getImage, getImageFromURI, getModelElement, getParentWidget, getToolTip, hookControllerLogic, imageChanged, init, processContents, reapplyStyles, requiresFocus, setCSSInfo, styleElement, unbindWidget`

### Methods inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`activate, getContext, getContextForParent, getStyleOverride, getUIContainer, hideChild, postProcess, removeGui`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATE_ID

public static final String STATE_ID
The state ID for a toggle state understood by the system. see org.eclipse.ui.handlers.RegistryToggleState.STATE_ID

See Also:
  - Constant Field Values

## Constructor Details

### ToolControlRenderer

public ToolControlRenderer()

## Method Details

### createWidget

public Object createWidget(MUIElement element, Object parent)

Specified by:
  `createWidget` in class `org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`